# Class CoverageQuerySequenceFactory

java.lang.Object
uk.ac.starlink.ttools.cone.CoverageQuerySequenceFactory

All Implemented Interfaces:
  `QuerySequenceFactory`

public class CoverageQuerySequenceFactory extends Object implements QuerySequenceFactory
Wrapper QuerySequenceFactory that filters out elements outside of a given coverage object. The `ConeQueryRowSequence.getIndex()` values of this sequence will be those of the underlying ConeQueryRowSequences, so will miss out values for those elements that are excluded.

Since:
  12 Jun 2014
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`CoverageQuerySequenceFactory(QuerySequenceFactory baseFact, Coverage coverage)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`ConeQueryRowSequence`
`createQuerySequence(uk.ac.starlink.table.StarTable table)`
Creates a query sequence.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CoverageQuerySequenceFactory

public CoverageQuerySequenceFactory(QuerySequenceFactory baseFact, Coverage coverage)
Constructor.

Parameters:
  `baseFact` - base QuerySequenceFactory
  `coverage` - coverage object

## Method Details

### createQuerySequence

public ConeQueryRowSequence createQuerySequence(uk.ac.starlink.table.StarTable table) throws IOException
Description copied from interface: `QuerySequenceFactory`
Creates a query sequence.

Specified by:
  `createQuerySequence` in interface `QuerySequenceFactory`
Parameters:
  `table` - input table
Throws:
  `IOException`